## devscripts 2.17.11~bpo9+1

=== debian/changelog ===
devscripts (2.17.11~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 05 Nov 2017 00:59:36 +0100

devscripts (2.17.11) unstable; urgency=medium

  [ James McCoy ]
  * Remove myself from Uploaders.

  [ Osamu Aoki ]
  * debuild:
    + Support newer and long dpkg-buildpackage options --no-sign,
      --unsigned-source, --unsigned-changes, -ui and --unsigned-buildinfo,
      therefore bumping the dpkg-bev dependency to version to 1.18.19.
      Closes: #876024
  * debian/control:
    + Remov Martin Zobel-Helas, Patrick Schoenfeld and Benjamin Drung
      from Uploaders after asking them.
      Thanks for all your contributions!
  * uscan:
    + Auto set --force-download when appropriate to retain the
      previous behaviour.
    + Correct information about the OpenPGP key fingerprints.  Closes: #877104

  [ Chris Lamb ]
  * reproducible-check:
    + Match name of the json file on remote server.
    + Use the restricted JSON file that hides transient issues.  Closes: #875861
    + Handle multi-architecture systems.  Closes: #875887
    + Expire cache file after 1 day and base local cache name on the
      remote filename.
    + Various flake8-related tidyintidying.
  * debian/control:
    + Mention reproducible-check in the package long description.
  * debchange:
    + Add support for preparing uploads to stable with the new --stable flag.
      Closes: #871657

  [ Christoph Berg ]
  * origtargz:
    + Allow invocation from subdirectory.  Closes: #702636

  [ Cyril Brulebois ]
  * debsign:
    + Fix bash completion by using file extensions instead of
      using globs.  Closes: #877440

  [ Mattia Rizzolo ]
  * debchange:
    + Update the manpage to mention that --bpo now targets stretch-backports,
      not jessie-backports.  Closes: #877877
  * debian/control:
    + Annotate the build-dependencies on perl and python3-all with :any.
    + Add myself to uploaders.
    + Bump Standards-Version to 4.1.1, no changes needed.
    + Drop Testsuite:autopkgtest field, it's automatically added by dpkg-source.
    + Promote sensible-utils from Recommends to Depends.
  * debrsign:
    + Apply patch from Gilles Filippini <pini@debian.org> to add support for
      .buildinfo files.  Closes: #862324
  * uscan:
    + Apply patch from Stephen Kitt <skitt@debian.org> to support https in the
      sf.net special redirector.  Closes: #879207
  * tests:
    + mk-origtargz: fix check with dpkg 1.19.x.  Thanks to Adam Conrad
      <adconrad@debian.org> for the patch.  Closes: #879798

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 27 Oct 2017 14:52:18 +0200

devscripts (2.6.1) unstable; urgen

## devscripts 2.17.11

=== scripts/Makefile ===

include ../Makefile.common
DESTDIR =

define \n


endef

VERSION_FILE = ../version
VERSION := $(shell cat $(VERSION_FILE))

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -std=c99
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
CWRAPPERS = debpkg-wrapper
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
PL_CHECKS = $(patsubst %.pl,%.pl_check,$(PL_FILES))
SH_CHECKS = $(patsubst %.pl,%.sh_check,$(SH_FILES))
COMPL_FILES := $(wildcard *.bash_completion)
BC_BUILD_DIR:=bash_completion
COMPLETION = $(patsubst %.bash_completion,$(BC_BUILD_DIR)/%,$(COMPL_FILES))
COMPL_DIR := $(shell pkg-config --variable=completionsdir bash-completion)
PKGNAMES:=wnpp-alert wnpp-check mk-build-deps rmadison mass-bug debsnap dd-list build-rdeps who-uploads transition-check getbuildlog dcontrol grep-excuses rc-alert whodepends dget pts-subscribe pts-unsubscribe debcheckout
# also update the list in setup.py
PYTHON3_SCRIPTS:=debdiff-apply sadt suspicious-source wrap-and-sort reproducible-check

GEN_MAN1S += debrepro.1 devscripts.1 mk-origtargz.1 uscan.1 reproducible-check.1

all: $(SCRIPTS) $(GEN_MAN1S) $(CWRAPPERS) $(COMPLETION)

scripts: $(SCRIPTS)

$(VERSION_FILE):
	$(MAKE) -C .. version

debchange: debchange.pl $(VERSION_FILE)
	cp $< $@
	sed -i "s/###VERSION###/$(VERSION)/" $@
ifeq ($(shell dpkg-vendor --query Vendor),Ubuntu)
# On Ubuntu always default to targeting the release that it's built on,
# not the current devel release, since its primary use on stable releases
# will be for preparing PPA uploads.
	sed -i 's/get_ubuntu_devel_distro()/"$(shell lsb_release -cs)"/' $@
endif

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%: %.tmp
	cp $< $@
	chmod +x $@

%.1: %.pl
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.pod
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

# Syntax checker
test_sh: $(SH_CHECKS)
%.sh_check: %
	bash -n $<

test_pl: $(PL_CHECKS)
%.pl_check: %
	perl -I ../lib -c $<

test_py: $(PYTHON3_SCRIPTS) $(VERSION_FILE) 
	python3 -m flake8 --max-line-length=99 $(PYTHON3_SCRIPTS)
	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))

# There is a slight chance this gets called twice, once here from here and once
# from ../po4a/Makefile. Treat files with care.
PID := $(shell echo $$$$-$$PPID)
devscripts.1: devscripts.1.in
	cat $< > $@.$(PID)
	perl ../debian/genmanpage.pl >> $@.$(PID)
	mv $@.$(PID) $@

reproducible-check.1: reproducible-check
	help2man \
		--name="Reports on the reproducible status of installed packages" \
		--no-info \
		--no-discard-stderr \
		./$< >$@

$(BC_BUILD_DIR):
	mkdir $(BC_BUILD_DIR)

$(COMPLETION): $(BC_BUILD_DIR)/% : %.bash_completion $(BC_BUILD_DIR)
	cp $< $@

clean:
	python3 setup.py clean -a
	find -name '*.pyc' -delete
	find -name __pycache__ -delete
	rm -rf devscripts.egg-info $(BC_BUILD_DIR)
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS)


test: test_pl test_sh test_py

install: all
	python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	ln -sf edit-patch $(DESTDIR)$(BINDIR)/add-patch
	install -d $(DESTDIR)$(COMPL_DIR)
	cp $(BC_BUILD_DIR)/* $(DESTDIR)$(COMPL_DIR)/
	for i in $(PKGNAMES); do                        \
	    ln -sf pkgnames $(DESTDIR)$(COMPL_DIR)/$$i;  \
	done
	ln -sf debchange $(DESTDIR)$(COMPL_DIR)/dch
	ln -sf debi $(DESTDIR)$(COMPL_DIR)/debc
	# Special treatment for debpkg
	install -d $(DESTDIR)$(DATA_DIR)
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(DATA_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg

.PHONY: test test_pl test_sh test_py all install clean scripts

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
Standards-Version: 4.1.1
Build-Depends: bash-completion,
               debhelper (>= 10),
               dh-python,
               docbook-xsl,
               dpkg-dev (>= 1.18.19),
               file <!nocheck>,
               gnupg <!nocheck> | gnupg2 <!nocheck>,
               help2man,
               libdistro-info-perl <!nocheck>,
               libdpkg-perl <!nocheck>,
               libfile-desktopentry-perl <!nocheck>,
               libfile-homedir-perl <!nocheck>,
               libgit-wrapper-perl <!nocheck>,
               liblist-compare-perl <!nocheck>,
               libtimedate-perl <!nocheck>,
               liburi-perl <!nocheck>,
               libwww-perl <!nocheck>,
               lsb-release <!nocheck>,
               mozilla-devscripts <!nocheck>,
               perl:any,
               pkg-config,
               po4a,
               pylint <!nocheck>,
               python3-all:any,
               python3-apt <!nocheck>,
               python3-debian <!nocheck>,
               python3-flake8 <!nocheck>,
               python3-magic <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools,
               python3-unidiff <!nocheck>,
               python3-xdg <!nocheck>,
               shunit2 <!nocheck>,
               unzip <!nocheck>,
               wdiff <!nocheck>,
               xsltproc,
               xz-utils <!nocheck>,
               zip <!nocheck>
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/devscripts.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/devscripts.git

Package: devscripts
Architecture: any
Multi-Arch: foreign
Depends: dpkg-dev (>= 1.18.19),
         libfile-homedir-perl,
         sensible-utils,
         ${misc:Depends},
         ${perl:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: apt,
            at,
            dctrl-tools,
            dput | dupload,
            fakeroot,
            file,
            gnupg | gnupg2,
            libdistro-info-perl,
            libdpkg-perl,
            libencode-locale-perl,
            libgit-wrapper-perl,
            liblist-compare-perl,
            liburi-perl,
            libwww-perl,
            licensecheck,
            lintian,
            man-db,
            patch,
            patchutils,
            python3-apt,
            python3-debian (>= 0.1.15),
            python3-magic,
            python3-requests,
            python3-unidiff,
            python3-xdg,
            strace,
            unzip,
            wdiff,
            wget | curl,
            xz-utils,
            ${vendor:Recommends}
Suggests: adequate,
          autopkgtest,
          bls-standalone,
          bsd-mailx | mailx,
          build-essential,
          check-all-the-things,
          cvs-buildpackage,
          devscripts-el,
          diffoscope,
          disorderfs,
          dose-extra (>= 4.0),
          duck,
          faketime,
          gnuplot,
          gpgv | gpgv2,
          how-can-i-help,
          libauthen-sasl-perl,
          libfile-desktopentry-perl,
          libnet-smtps-perl,
          libterm-size-perl,
          libtimedate-perl,
          libyaml-syck-perl,
          mozilla-devscripts,
          mutt,
          piuparts,
          quilt,
          ratt,
          reprotest,
          ssh-client,
          svn-buildpackage,
          w3m,
          ${vendor:Suggests}
Breaks: hardening-includes, ubuntu-dev-tools (<< 0.147~)
Replaces: hardening-includes, ubuntu-dev-tools (<< 0.124~)
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
  - annotate-output: run a command and prepend time and stream (O for stdout,
    E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
    libauthen-sasl-perl, libnet-smtps-perl, libsoap-lite-perl, liburi-perl,
    libwww-perl, bsd-mailx | mailx]
  - build-rdeps: search for all packages that build-depend on a given package
    [dctrl-tools, dose-extra, libdpkg-perl]
  - chdist: tool to easily play with several distributions [dctrl-tools]
  - checkbashisms: check whether a /bin/sh script contains any common
    bash-specific constructs
  - cowpoke: upload a Debian source package to a cowbuilder host and build it,
    optionally also signing and uploading the result to an incoming queue
    [ssh-client]
  - cvs-debi, cvs-debc: wrappers around debi and debc respectively (see below)
    which allow them to be called from the CVS working directory
    [cvs-buildpackage]
  - cvs-debrelease: wrapper around debrelease which allows it to be called
    from the CVS working directory [cvs-buildpackage, dupload | dput,
    ssh-client]
  - cvs-debuild: wrapper for cvs-buildpackage to use debuild as its package
    building program [cvs-buildpackage, fakeroot, lintian, gnupg | gnupg2]
  - dcmd: run a given command replacing the name of a .changes or .dsc file
    with each of the files referenced therein
  - dcontrol: remotely query package and source control files for all Debian
    distributions [liburl-perl, libwww-perl]
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files
    [libdistro-info-perl, libsoap-lite-perl]
  - debcheckout: checkout the development repository of a Debian package
  - debclean: clean a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs, darcs, svn, svk, tla, bzr, git, or hg,
    basing commit message on changelog [cvs | darcs | subversion | svk | tla |
    bzr | git-core | mercurial, libtimedate-perl]
  - debdiff: compare two versions of a Debian package to check for
    added and removed files. Use the diffoscope package for deep comparisons.
    [wdiff, patchutils]
  - debdiff-apply: apply unified diffs of two Debian source packages, such as
    generated by debdiff, to a target source package [python3-unidiff, quilt]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrepro: reproducibility tester for Debian packages  [faketime,
    diffoscope, disorderfs]
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh-client]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
    the rest of the package to be present; can sign the pair remotely
    or fetch the pair from a remote machine for signing [gnupg | gnupg2,
    debian-keyring, ssh-client]
  - debsnap: grab packages from http://snapshot.debian.org [libwww-perl]
  - debuild: wrapper to build a package without having to su or worry
    about how to invoke dpkg to build using fakeroot.  Also deals
    with common environment problems, umask etc. [fakeroot, lintian,
    gnupg | gnupg2]
  - deb-reversion: increase a binary package version number and repacks the
    package, useful for porters and the like
  - dep3changelog: generate a changelog entry from a DEP3-style patch header
  - desktop2menu: given a freedesktop.org desktop file, generate a skeleton
    for a menu file [libfile-desktopentry-perl]
  - dget: download Debian source and binary packages [wget | curl]
  - diff2patches: extract patches from a .diff.gz file placing them under
    debian/ or, if present, debian/patches [patchutils]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
    the build of a Debian package; useful for determining the Build-Depends
    control field needed [build-essential, strace]
  - dscextract: extract a single file from a Debian source package [patchutils]
  - dscverify: verify the integrity of a Debian package from the
    .changes or .dsc files [gnupg | gnupg2, debian-keyring]
  - edit-patch: add/edit a patch for a source package and commit the changes
    [quilt | dpatch | cdbs]
  - getbuildlog: download package build logs from Debian auto-builders [wget]
  - git-deborig: try to produce Debian orig.tar using git-archive(1)
    [libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl]
  - grep-excuses: grep britney's excuses for your packages [libterm-size-perl,
    libyaml-syck-perl, wget, w3m]
  - hardening-check: report the hardening characteristics of a set of binaries
  - list-unreleased: search for unreleased packages
  - manpage-alert: locate binaries without corresponding manpages [man-db]
  - mass-bug: mass-file bug reports [bsd-mailx | mailx]
  - mergechanges: merge .changes files from the same release but built
    on different architectures
  - mk-build-deps: given a package name and/or control file, generate a binary
    package which may be installed to satisfy the build-dependencies of the
    given package [equivs]
  - mk-origtargz: rename upstream tarball, optionally changing the compression
    and removing unwanted files [unzip, xz-utils, file]
  - namecheck: check project names are not already taken
  - nmudiff: mail a diff of the current package against the previous version
    to the BTS to assist in tracking NMUs [patchutils, mutt]
  - origtargz: fetch the orig tarball of a Debian package from various sources,
    and unpack it
  - plotchangelog: view a nice plot of the data in a changelog file
    [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
    [bsd-mailx | mailx, at]
  - rc-alert: list installed packages which have release-critical bugs
    [wget | curl]
  - reproducible-check: reports on the reproducible status of installed
    packages [python3-apt, python3-requests, python3-termcolor, python3-xdg]
  - rmadison: remotely query the Debian archive database about packages
    [liburi-perl, wget | curl]
  - sadt: run DEP-8 tests [python3-debian]
  - suspicious-source: output a list of files which are not common source
    files [python3-magic]
  - svnpath: print Subversion repository paths [subversion]
  - tagpending: run from a Debian source tree and tag bugs that are to be
    closed in the latest changelog as pending [libsoap-lite-perl]
  - transition-check: check a list of source packages for involvement in
    transitions for which uploads to unstable are currently blocked
    [libwww-perl, libyaml-syck-perl]
  - uscan: scan upstream sites for new releases of packages [gpgv | gpgv2,
    gnupg |gnupg2, liblwp-protocol-https-perl, libwww-perl, unzip,
    xz-utils, file]
  - uupdate: integrate upstream changes into a source package [patch]
  - what-patch: determine what patch system, if any, a source package is using
    [patchutils]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads: determine the most recent uploaders of a package to the Debian
    archive [gnupg | gnupg2, debian-keyring, debian-maintainers, wget]
  - wnpp-alert: list installed packages which are orphaned or up for adoption
    [wget | curl]
  - wnpp-check: check whether there is an open request for packaging or
    intention to package bug for a package [wget | curl]
  - who-permits-upload: Retrieve information about Debian Maintainer access
    control lists [gnupg | gnupg2, libencode-locale-perl, libwww-perl,
    debian-keyring]
  - wrap-and-sort: wrap long lines and sort items in packaging files
    [python3-debian]
 .
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

## devscripts 2.17.12~bpo9+1

=== debian/changelog ===
devscripts (2.17.12~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * bts:
    + Fix syntax issue in the POD documentation, so it can be built with an
      older pod as well.
  * ltnu:
    + Avoid using L<> with emails in the POD documentation, so it can be built
      with an older pod as well.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Jan 2018 11:46:07 +0100

devscripts (2.17.12) unstable; urgency=medium

  [ Adam D. Barratt ]
  * Fix typo in 2.7.11 changelog ("dpkg-bev" -> "dpkg-dev").

  [ Chris Lamb ]
  * debuild:
    + Print the actual arguments we make to lintian.  Closes: #880124
  * dget:
    + Support downloading packages through gopher://.  Closes: #880649

  [ Axel Beckert ]
  * Add new script: ltnu (Long Time No Upload).
  * Remove trailing whitespace in previous changelog entry.

  [ Antoine Beaupré ]
  * debchange:
    + Refactor and unify version information.
    + Add support for uploads to Debian LTS with the new --lts flag.
      Closes: #762715
  * bts:
    + Add list of tags to documentation.  Closes: #883658

  [ James McCoy ]
  * grep-excuses:
    + Show when dependencies are blocking the migration.  Closes: #881906

  [ Antonio Terceiro ]
  * uscan:
    + decode HTTP responses, to support pages that are served encoded with
      gzip (`Content-Encoding: gzip`).

  [ Christoph Berg ]
  * debcheckout:
    + Support salsa.debian.org.
    + Set "git" as default repository type so https:// URLs use it.

  [ Mattia Rizzolo ]
  * debdiff-apply:
    + Avoid using Python bare exceptions, to appease flake8's E722.
  * test/uscan_mangle:
    + Use a real newline instead of embedding \n in a shell variable, which
      isn't portable between dash and bash.
  * Bump debhelper compat level to 11.
  * debian/control:
    + Bump Standards-Version to 4.1.3, no changes needed.
    + Add missing build-dependency on fakeroot.
    + Set Rules-Requires-Root: no.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 30 Dec 2017 23:44:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
-Standards-Version: 4.1.1
 Build-Depends: bash-completion,
-               debhelper (>= 10),
+               debhelper (>= 11~),
                dh-python,
                docbook-xsl,
                dpkg-dev (>= 1.18.19),
+               fakeroot <!nocheck>,
                file <!nocheck>,
                gnupg <!nocheck> | gnupg2 <!nocheck>,
                help2man,
@@ -43,6 +43,8 @@
                xsltproc,
                xz-utils <!nocheck>,
                zip <!nocheck>
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/devscripts.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/devscripts.git
 
@@ -112,6 +114,7 @@
           mozilla-devscripts,
           mutt,
           piuparts,
+          postgresql-client,
           quilt,
           ratt,
           reprotest,
@@ -202,6 +205,8 @@
     libyaml-syck-perl, wget, w3m]
   - hardening-check: report the hardening characteristics of a set of binaries
   - list-unreleased: search for unreleased packages
+  - ltnu: List all uploads of packages by the given uploader or maintainer and
+    display them ordered by the last upload [postgresql-client]
   - manpage-alert: locate binaries without corresponding manpages [man-db]
   - mass-bug: mass-file bug reports [bsd-mailx | mailx]
   - mergechanges: merge .changes files from the same release but built

## devscripts 2.17.12ubuntu1

=== test/Makefile ===

OUR_TESTS=						\
	annotate-output				\
	checkbashisms				\
	dd-list						\
	debchange					\
	package_lifecycle			\
	debdiff						\
	uscan						\
	uscan_mangle				\
	mk-origtargz				

test: $(foreach i,$(OUR_TESTS),test_$(i).test)

%.test: %
	./$<

test-installed: $(foreach i,$(OUR_TESTS),test_$(i).test_installed)

%.test_installed: %
	./$< --installed

online-test:
	./test_uscan_online

.PHONY: test test-installed online-test

=== debian/changelog ===
devscripts (2.17.12ubuntu1) bionic; urgency=medium

  * test/test_debchange: Explicitly set --vendor Debian, to fix test suite
    compatibility with Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 Jan 2018 21:03:46 -0800

=== debian/tests/control ===
Tests: shunit2
Depends: devscripts, build-essential, debhelper, gcc, libdistro-info-perl, mozilla-devscripts, shunit2, zip
Restrictions: allow-stderr needs-recommends

## devscripts 2.17.12ubuntu1.1

=== Makefile ===
# Simplified Makefile for devscripts

include Makefile.common

DESTDIR =

EXAMPLES = conf.default README.mk-build-deps

all: version make_scripts $(EXAMPLES) translated_manpages

version:
	rm -f version
	dpkg-parsechangelog -SVersion > version

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

translated_manpages:
	$(MAKE) -C po4a/
	touch translated_manpages

clean_translated_manpages:
	# Update the POT/POs and remove the translated man pages
	$(MAKE) -C po4a/ clean
	rm -f translated_manpages

clean: clean_scripts clean_translated_manpages
	rm -f version conf.default make_scripts

online-test:
	$(MAKE) -C test/ online-test

test:
	$(MAKE) test_scripts
	$(MAKE) test_test

test-installed:
	$(MAKE) -C test/ $@

install: all install_scripts
	install -d "$(DESTDIR)$(EXAMPLES_DIR)" "$(DESTDIR)$(PERLMOD_DIR)" \
	    "$(DESTDIR)$(DATA_DIR)" "$(DESTDIR)$(DOCDIR)" "$(DESTDIR)$(MAN1DIR)"
	for f in lib/*; do cp -a "$$f" "$(DESTDIR)$(PERLMOD_DIR)"; done
	install -m0644 $(EXAMPLES) "$(DESTDIR)$(DATA_DIR)"
	install -m0644 README "$(DESTDIR)$(DOCDIR)"
	install -m0644 doc/*.1 "$(DESTDIR)$(MAN1DIR)"
	ln -sf edit-patch.1 "$(DESTDIR)$(MAN1DIR)/add-patch.1"

test_test:
	$(MAKE) -C test/ test

make_scripts: version
	$(MAKE) -C scripts/
	touch $@
clean_scripts: clean_translated_manpages
	$(MAKE) -C scripts/ clean
test_scripts:
	$(MAKE) -C scripts/ test
install_scripts:
	$(MAKE) -C scripts/ install DESTDIR=$(DESTDIR)

.PHONY: online-test test test-installed

=== scripts/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # also update the list in setup.py
 PYTHON3_SCRIPTS:=debdiff-apply sadt suspicious-source wrap-and-sort reproducible-check
 
-GEN_MAN1S += debrepro.1 devscripts.1 mk-origtargz.1 uscan.1 reproducible-check.1
+GEN_MAN1S += debrepro.1 devscripts.1 ltnu.1 mk-origtargz.1 uscan.1 reproducible-check.1
 
 all: $(SCRIPTS) $(GEN_MAN1S) $(CWRAPPERS) $(COMPLETION)

=== debian/changelog ===
devscripts (2.17.12ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Code execution through unsafe YAML loading
    - CVE-2018-13043

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 05 Jul 2018 11:00:10 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends: bash-completion,
@@ -260,4 +261,3 @@
     [python3-debian]
  .
  Also included are a set of example mail filters for filtering mail
- from Debian mailing lists using exim, procmail, etc.

=== debian/rules ===
#!/usr/bin/make -f

UBU_SUGGESTS=debian-keyring, equivs, liblwp-protocol-https-perl, libsoap-lite-perl

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
	dh_gencontrol -- -V'vendor:Suggests=$(UBU_SUGGESTS)' -V'vendor:Recommends='
else
	dh_gencontrol -- -V'vendor:Suggests=' -V'vendor:Recommends=$(UBU_SUGGESTS)'
endif

## devscripts 2.17.12ubuntu1.1+9.0trisquel1

=== debian/changelog ===
devscripts (2.17.12ubuntu1.1+9.0trisquel1) etiona-security; urgency=medium

  * Make use of TrisquelDistroInfo from distro-info package.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 02 Jan 2022 14:27:06 +0000

## devscripts 2.18.2~bpo9+1

=== scripts/Makefile ===
--- 
+++ 
@@ -25,8 +25,6 @@
 COMPLETION = $(patsubst %.bash_completion,$(BC_BUILD_DIR)/%,$(COMPL_FILES))
 COMPL_DIR := $(shell pkg-config --variable=completionsdir bash-completion)
 PKGNAMES:=wnpp-alert wnpp-check mk-build-deps rmadison mass-bug debsnap dd-list build-rdeps who-uploads transition-check getbuildlog dcontrol grep-excuses rc-alert whodepends dget pts-subscribe pts-unsubscribe debcheckout
-# also update the list in setup.py
-PYTHON3_SCRIPTS:=debdiff-apply sadt suspicious-source wrap-and-sort reproducible-check
 
 GEN_MAN1S += debrepro.1 devscripts.1 ltnu.1 mk-origtargz.1 uscan.1 reproducible-check.1
 
@@ -74,8 +72,7 @@
 %.pl_check: %
 	perl -I ../lib -c $<
 
-test_py: $(PYTHON3_SCRIPTS) $(VERSION_FILE) 
-	python3 -m flake8 --max-line-length=99 $(PYTHON3_SCRIPTS)
+test_py: $(VERSION_FILE)
 	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))
 
 # There is a slight chance this gets called twice, once here from here and once

=== test/Makefile ===
--- 
+++ 
@@ -6,8 +6,11 @@
 	debchange					\
 	package_lifecycle			\
 	debdiff						\
+	debrepro				\
+	debsign					\
 	uscan						\
 	uscan_mangle				\
+	uscan_ftp				\
 	mk-origtargz				
 
 test: $(foreach i,$(OUR_TESTS),test_$(i).test)

=== debian/changelog ===
devscripts (2.18.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 03 May 2018 10:45:05 +0200

devscripts (2.18.2) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * uscan:
    + Add short archive extensions (tbz, txz, tgz) in the @ARCHIVE_EXT@
      regexp.  Closes: #823624

  [ Ben Finney ]
  * suspicious-source:
    + Correct "preferred form of the work for making modifications to it".
      Closes: #859617

  [ Nish Aravamudan ]
  * dep3changelog:
    + Make parsing less strict about blank lines.
      Closes: #858287; LP: #1673292

  [ Ben Wiederhake ]
  * wrap-and-sort:
    + Add a dry-run option.  Closes: #808574

  [ Hilko Bengen ]
  * debsnap:
    + Complain about existing destdir only when it is created.
      Closes: #884177

  [ Mònica Ramírez Arceda ]
  * nmudiff:
    + Add a template argument to provide a different email from the one in the
      script.  Closes: #555863

  [ Pierre-Elliott Bécue ]
  * d/control:
    + Add myself to uploaders.
  * wrap-and-sort:
    + Tweak the way files are handled, and print the modified file list in
      also in non-dry-run-mode when verbosity is enabled.
    + Remove empty lines at the beginning of a file.
  * nmudiff:
    + Add a no-pending option to not add the pending tag if needed.
    + Add a non-dd option to ask for a sponsor in the email.
      Closes: #662794

  [ Mattia Rizzolo ]
  * mk-origtargz:
    + Deal with Hurd where `getconf ARG_MAX` returns "undefined".
  * Fix some pylint issues that are reported only by stretch's pylint.
  * d/control:
    + Bump Standards-Version to 4.1.4, no changes needed.
  * test_package_lifecycle:
    + Don't depend on /usr/share/doc being available on the build host.
  * sadt:
    + Fixup the check_depends() caching functionality.  MR: !9

  [ Adam D. Barratt ]
  * debdiff:
    + Sort shlibs files before comparing. The order of entries is not
      significant.

  [ Paul Wise ]
  * chdist, cowpoke:
    + Default to deb.debian.org instead.

  [ Antonio Terceiro ]
  * uscan:
    + Redirect Alioth's gemwatch to gemwatch.debian.net.  MR: !2
  * debrepro:
    + Vary between timezones that are more than 1 day apart.  MR: !3
    + Add a --before-second-build option, to inject extra command before
      the second build runs.  MR: !4
    + Add a testcase.  MR: !8

  [ Chris Lamb ]
  * debsign:
    + To prevent collision attacks, refuse to sign with short key IDs (eg.
      0xCAFEBABE) and warn when not using full GPG fingerprint.  MR: !1

  [ Dmitry Shachnev ]
  * sadt:
    + Set AUTOPKGTEST_TMP environment variable.  MR: !5

  [ Sean Whitton ]
  * git-deborig:  MR: !7
    + New --just-print option.
      - Add recommends and build-depends on libstring-shellquote-perl.
    + New --version option.
    + New --force alias for -f.
    + Correct terminology ref->committish (see gitglossary(7)).
    + Add to the manpage details about gitattributes(5) manipulation.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 23 Apr 2018 00:33:07 +0200

devscripts (2.18.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Fix some pylint issues that are reported only by stretch's pylint.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 12 Mar 2018 11:21:02 +0100

devscripts (2.18.1) unstable; urgency=medium

  [ Yavor Doganov ]
  * ltnu:
    + Add pkg-gnustep shortcut.  Closes: #885917

  [ Steve Langasek ]
  * tests:
    + Fix test_debchange when run on Debian derivatives.  Closes: #886211

  [ Mattia Rizzolo ]
  * bts:
    + Fix syntax issue in the POD documentation, so it can be built with an
      older pod as well.
  * ltnu:
    + Avoid using L<> with emails in the POD documentation, so it can be built
      with an older pod as well.
  * reproducible-check:
    + Instruct to install python3-xdg if missing.  Closes: #888307
  * mk-origtargz:
    + Split list of files to delete if the list gets too long to fit ARG_MAX.
      Thanks to Ximin Luo <infinity0> for the initial patch.  Closes: #855464
  * debian/control:
    + Change maintainer email from alioth to devscripts@packages.debian.org.
    + Move the Git repository to salsa.debian.org.

  [ Osamu Aoki ]
  * uupdate:
    + bash completion fix by Julian Gilbey.  Closes: #834006
  * uscan:
    + clarify importance of version=4.  Closes: #884880
    + add hrefdecode option.  Closes: #884604
    + git HEAD tracking features.  Closes: #811565
    + refine target directory documentation.  Closes: #841519
    + add test for FTP protocol.

  [ James McCoy ]
  * debrepro:
    + Add a --help option and include options description in the usage output.

  [ Axel Beckert ]
  * ltnu:
    + Add option "-m" to only look in the Maintainer field and not also in
      the Uploaders field.  Closes: #887380

  [ Christoph Berg ]
  * origtargz: Make --clean remove .gitignore if it's not in git.

  [ Benjamin Drung ]
  * Fix all pylint3 issues.
  * Update Python unittests to support pylint 1.8.
  * Convert flake8 test into a unittest.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 06 Mar 2018 16:23:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
-Uploaders:
- Mattia Rizzolo <mattia@debian.org>,
+Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Uploaders: Mattia Rizzolo <mattia@debian.org>,
+           Pierre-Elliott Bécue <becue@crans.org>
 Build-Depends: bash-completion,
                debhelper (>= 11~),
                dh-python,
                docbook-xsl,
                dpkg-dev (>= 1.18.19),
                fakeroot <!nocheck>,
+               faketime <!nocheck>,
                file <!nocheck>,
                gnupg <!nocheck> | gnupg2 <!nocheck>,
                help2man,
@@ -20,6 +20,7 @@
                libfile-homedir-perl <!nocheck>,
                libgit-wrapper-perl <!nocheck>,
                liblist-compare-perl <!nocheck>,
+               libstring-shellquote-perl <!nocheck>,
                libtimedate-perl <!nocheck>,
                liburi-perl <!nocheck>,
                libwww-perl <!nocheck>,
@@ -28,12 +29,13 @@
                perl:any,
                pkg-config,
                po4a,
-               pylint <!nocheck>,
+               pylint3 <!nocheck>,
                python3-all:any,
                python3-apt <!nocheck>,
                python3-debian <!nocheck>,
                python3-flake8 <!nocheck>,
                python3-magic <!nocheck>,
+               python3-pyftpdlib <!nocheck>,
                python3-requests <!nocheck>,
                python3-setuptools,
                python3-unidiff <!nocheck>,
@@ -44,10 +46,10 @@
                xsltproc,
                xz-utils <!nocheck>,
                zip <!nocheck>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/devscripts.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/devscripts.git
+Vcs-Browser: https://salsa.debian.org/debian/devscripts
+Vcs-Git: https://salsa.debian.org/debian/devscripts.git
 
 Package: devscripts
 Architecture: any
@@ -71,6 +73,7 @@
             libencode-locale-perl,
             libgit-wrapper-perl,
             liblist-compare-perl,
+            libstring-shellquote-perl,
             liburi-perl,
             libwww-perl,
             licensecheck,
@@ -201,7 +204,8 @@
     [quilt | dpatch | cdbs]
   - getbuildlog: download package build logs from Debian auto-builders [wget]
   - git-deborig: try to produce Debian orig.tar using git-archive(1)
-    [libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl]
+    [libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl,
+    libstring-shellquote-perl]
   - grep-excuses: grep britney's excuses for your packages [libterm-size-perl,
     libyaml-syck-perl, wget, w3m]
   - hardening-check: report the hardening characteristics of a set of binaries
@@ -258,6 +262,3 @@
     control lists [gnupg | gnupg2, libencode-locale-perl, libwww-perl,
     debian-keyring]
   - wrap-and-sort: wrap long lines and sort items in packaging files
-    [python3-debian]
- .
- Also included are a set of example mail filters for filtering mail

## devscripts 2.18.3~bpo9+1

=== test/Makefile ===

OUR_TESTS= \
	annotate-output \
	checkbashisms \
	dd-list \
	debchange \
	debdiff \
	debrepro \
	debsign \
	mk-origtargz \
	package_lifecycle \
	sadt \
	uscan \
	uscan_ftp \
	uscan_mangle \

test: $(foreach i,$(OUR_TESTS),test_$(i).test)

%.test: %
	./$<

test-installed: $(foreach i,$(OUR_TESTS),test_$(i).test_installed)

%.test_installed: %
	./$< --installed

online-test:
	./test_uscan_online

.PHONY: test test-installed online-test

=== debian/changelog ===
devscripts (2.18.3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 26 May 2018 12:55:11 +0200

devscripts (2.18.3) unstable; urgency=medium

  [ Maximiliano Curia ]
  * dpkg-depcheck:
    + Also trace openat syscall.  Closes: #898418; MR: !11

  [ Sean Whitton ]
  * git-deborig:
    + Now works in a git worktree.
      Closes: #897050; MR: !12

  [ Pierre-Elliott Bécue ]
  * rmadison:
    + Make it verbose when the failure is due to a SSL CACERT check failure,
      either from wget or from curl.
      Closes: #882347

  [ Mattia Rizzolo ]
  * test/test_uscan_ftp:
    + Handle errors coming from the ftpserver.py subprocess to avoid possible
      endless loops.  Closes: #898370
  * d/tests/control:
    + Add missing test-dep on python3-pyftpdlib.  Closes: #898450

  [ Antonio Terceiro ]
  * sadt: Several improvements from MR: !13 and MR: !15
    + Support comma-separated restrictions.
    + support comma-separated tests.  Closes: #881825
    + Split features by commas or whitespace.
    + Recognize (and ignore) the needs-recommends restriction.
    + Improve output:
      - Display output of commands in verbose output.
      - Improve organization of verbose output.  Closes: #748852
      - Print extra separator at the end of test log.
    + Add support for Test-Command: in debian/tests/control.  Closes: #781963
  * test:
    + test_debrepro: extract helper functions into test_helper.sh.
    + Makefile: remove trailing tabs, and sort.
    + sadt: add basic tests.
  * debrepro:
    + Cleanup files if package is reproducible.

  [ Paul Wise ]
  * wrap-and-sort: allow using --dry-run without --verbose

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 23 May 2018 13:32:26 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                liblist-compare-perl <!nocheck>,
                libstring-shellquote-perl <!nocheck>,
                libtimedate-perl <!nocheck>,
+               libtry-tiny-perl <!nocheck>,
                liburi-perl <!nocheck>,
                libwww-perl <!nocheck>,
                lsb-release <!nocheck>,
@@ -74,6 +75,7 @@
             libgit-wrapper-perl,
             liblist-compare-perl,
             libstring-shellquote-perl,
+            libtry-tiny-perl,
             liburi-perl,
             libwww-perl,
             licensecheck,
@@ -205,7 +207,7 @@
   - getbuildlog: download package build logs from Debian auto-builders [wget]
   - git-deborig: try to produce Debian orig.tar using git-archive(1)
     [libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl,
-    libstring-shellquote-perl]
+    libstring-shellquote-perl, libtry-tiny-perl]
   - grep-excuses: grep britney's excuses for your packages [libterm-size-perl,
     libyaml-syck-perl, wget, w3m]
   - hardening-check: report the hardening characteristics of a set of binaries
@@ -260,5 +262,3 @@
     intention to package bug for a package [wget | curl]
   - who-permits-upload: Retrieve information about Debian Maintainer access
     control lists [gnupg | gnupg2, libencode-locale-perl, libwww-perl,
-    debian-keyring]
-  - wrap-and-sort: wrap long lines and sort items in packaging files

=== test/debrepro/reproducible/debian/control ===
Source: reproducible
Section: FIXME
Priority: optional
Maintainer: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 11~),
Standards-Version: 4.1.3
Homepage: FIXME

Package: reproducible
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: FIXME
 <insert long description, indented with spaces>

=== test/debrepro/unreproducible/debian/control ===
Source: unreproducible
Section: FIXME
Priority: optional
Maintainer: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 11~),
Standards-Version: 4.1.3
Homepage: FIXME

Package: reproducible
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: FIXME
 <insert long description, indented with spaces>

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,3 @@
 else
 	dh_gencontrol -- -V'vendor:Suggests=' -V'vendor:Recommends=$(UBU_SUGGESTS)'
 endif
-

=== debian/tests/control ===
Tests: shunit2
Depends: @, build-essential, debhelper, libdistro-info-perl, mozilla-devscripts, python3-pyftpdlib, shunit2, zip
Restrictions: allow-stderr needs-recommends

## devscripts 2.18.4~bpo9+1

=== debian/changelog ===
devscripts (2.18.4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 06 Sep 2018 21:12:57 +0200

devscripts (2.18.4) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * debchange:
    + Replace implicit boolean evaluation of a Dpkg::Version object by
      Dpkg::Version::is_valid().  Closes: #900703
  * bts:
    + Add the new 'ftbfs' tag to the list of known tags.  Closes: #900963
  * grep-excuses:
    + Avoid unintended blessing during YAML loading.
      Thanks to Ansgar Burchardt <ansgar@debian.org> for reporting and
      providing a patch.  Closes: #902409; CVE-2018-13043
  * uscan:
    + Remove wrong information about GitHub releases.  Closes: #902842
  * test/test_uscan_ftp:
    + Skip test on hurd-i386, hurd is missing a required feature.  MR: !23
  * test/pylint:
    + Temporarily disable the test, as pylist is currently uninstallable,
      see #902631.
  * debian/control:
    + Comment-out build-dependency on pylint3.
    + Bump Standards-Version to 4.2.1, no changes needed.

  [ Shengjing Zhu ]
  * uscan:
    + Fix wrong git log command in manpage.  MR:!16

  [ Simon McVittie ]
  * tests/test_package_lifecycle:
    + Don't load ~/.devscripts while calling debdiff.  MR: !17
  * sadt:
    + Implement new restrictions from autopkgtest git master.  MR: !18
      - 'flaky': if this test fails, the failure is logged but is not
        counted as a failure.
      - 'skippable': if this test exits 77, it counts as skipped,
        not failed (even if it wrote to stderr).
  * uscan:
    + Handle absolute USCAN_DESTDIR correctly in git mode.
      Closes: #895279; MR: !14

  [ Sean Whitton ]
  * git-deborig:  MR !19
    + When suggesting the user run git-deborig again with more arguments,
      include all the arguments the user originally passed in the
      suggestion.

  [ James McCoy ]
  * grep-excuses:
    + Strip all HTML tags, not just anchors, from excuses.  MR !20
  * debsnap:
    + Disable explicit validity checking in Dpkg::Version constructor so
      there's an actual object to call is_valid() on.  Closes: #903479

  [ Ian Jackson ]
  * grep-excuses:
    + Add --autopkgtest option to show autopkgtest failures in the target
      package which are caused by new versions of other packages.  MR !21

  [ Lev Lazinskiy ]
  * uscan:
    + Handle --copy argument.  Closes: #895209; MR !22

  [ Translation updates ]
  * French, thanks to jean-pierre giraud.  Closes: #902815

  [ Kees Cook ]
  * hardening-check:
    + Drain both stdout/stderr while waiting for readelf to exit to prevent
      readelf from getting blocked on a full pipe.  Closes: #903482

  [ Christoph Berg ]
  * namecheck: Drop code.google.com, it's down.

  [ Adam D. Barratt ]
  * bts:
    + Support fetching bugs from debbugs.gnu.org:  Closes: #904432
      - Force CGI URL to be "/cgi/" rather than "/cgi-bin/" when using
        the gnu.org server.
      - Match both "/cgi/" and "/cgi-bin/" when rewriting URLs in cache
        files.
      - Allow links to mbox files to contain additional HTML attributes.
    + Pre-emptively support HTTPS URLs when parsing release-critical pages.
    + Really use HTTPS by default for bugs.debian.org.

  [ Guillem Jover ]
  * debsnap:
    + Switch to HTTPS for connections to snapshot.debian.org.  Closes: #904659

  [ Agustin Henze ]
  * uscan:
    + Use stricter match to find href attribute to avoid invalid URLs.
      Closes: #904578; MR !25

  [ Jakub Wilk ]
  * rmadison:
    + Fix error handling to avoid having all curl/wget errors to be treated
      as SSL errors.  Closes: #907683

  [ Javi Sabalete ]
  * debcommit:
    + Always use annotate tags with git.  MR: !24

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 03 Sep 2018 22:30:44 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                perl:any,
                pkg-config,
                po4a,
-               pylint3 <!nocheck>,
+#               pylint3 <!nocheck>,
                python3-all:any,
                python3-apt <!nocheck>,
                python3-debian <!nocheck>,
@@ -47,7 +47,7 @@
                xsltproc,
                xz-utils <!nocheck>,
                zip <!nocheck>
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
 Vcs-Git: https://salsa.debian.org/debian/devscripts.git
@@ -117,6 +117,7 @@
           libterm-size-perl,
           libtimedate-perl,
           libyaml-syck-perl,
+          libdbd-pg-perl,
           mozilla-devscripts,
           mutt,
           piuparts,
@@ -183,7 +184,7 @@
     the rest of the package to be present; can sign the pair remotely
     or fetch the pair from a remote machine for signing [gnupg | gnupg2,
     debian-keyring, ssh-client]
-  - debsnap: grab packages from http://snapshot.debian.org [libwww-perl]
+  - debsnap: grab packages from https://snapshot.debian.org [libwww-perl]
   - debuild: wrapper to build a package without having to su or worry
     about how to invoke dpkg to build using fakeroot.  Also deals
     with common environment problems, umask etc. [fakeroot, lintian,
@@ -208,8 +209,8 @@
   - git-deborig: try to produce Debian orig.tar using git-archive(1)
     [libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl,
     libstring-shellquote-perl, libtry-tiny-perl]
-  - grep-excuses: grep britney's excuses for your packages [libterm-size-perl,
-    libyaml-syck-perl, wget, w3m]
+  - grep-excuses: grep britney's excuses for your packages [libdbd-pg-perl,
+    libterm-size-perl, libyaml-syck-perl, wget, w3m]
   - hardening-check: report the hardening characteristics of a set of binaries
   - list-unreleased: search for unreleased packages
   - ltnu: List all uploads of packages by the given uploader or maintainer and
@@ -261,4 +262,3 @@
   - wnpp-check: check whether there is an open request for packaging or
     intention to package bug for a package [wget | curl]
   - who-permits-upload: Retrieve information about Debian Maintainer access
-    control lists [gnupg | gnupg2, libencode-locale-perl, libwww-perl,
